Page MenuHomePhabricator

Archive the ExtTab extension
Closed, ResolvedPublicRequest

Description

Reason

Archived on MediaWiki.org by Kghbln. Filing task per T190671

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#ProjectX> as a tag for this task, and remove MediaWiki-extensions-Other as appropriate.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:ExtTab): replace page contents with {{Archived extension|last revision id before archiving|reason=archive reasons, per {{phab|T248759}}.}}
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Update Wikidata item (https://www.wikidata.org/wiki/Q21676514) associated with documentation page
      • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD date that you decided to archive extension (generally per edit history)
      • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)
  • Phabricator
    • Mark all Phabricator tasks for the extension either Declined or Invalid. Add a comment pointing to this task when doing so for reference.
    • Archive Phabricator project <#ProjectX> for the extension.
    • Edit Phabricator project <#ProjectX> description for the extension with a link to this ticket.
  • Translatewiki.net/translations
  • Configuration/tests/integrations/etc.
  • Repositories
    • Empty repository, leaving only the README indicating the repo is archived, and referring to this task by URL.
    • Remove from mediawiki/extensions (along with in .gitmodules).
    • Mark the repository read-only in Gerrit (also edit description to prepend "[ARCHIVED]" and a reference to this task): https://gerrit.wikimedia.org/g/mediawiki/extensions/ExtTab
    • Archive the Diffusion repository for the extension: rEEXT
    • Archive the GitHub mirror: https;//github.com/wikimedia/mediawiki-extensions-ExtTab

Event Timeline

Pppery created this task.Mar 28 2020, 9:01 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptMar 28 2020, 9:01 PM
Pppery updated the task description. (Show Details)Mar 28 2020, 9:02 PM
Pppery removed a project: Other-skins.
DannyS712 updated the task description. (Show Details)Mar 28 2020, 9:09 PM
DannyS712 updated the task description. (Show Details)
DannyS712 updated the task description. (Show Details)Mar 28 2020, 9:13 PM

Change 584167 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[integration/config@master] Archive ExtTab extension

https://gerrit.wikimedia.org/r/584167

Change 584169 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[translatewiki@master] Archive ExtTab extension

https://gerrit.wikimedia.org/r/584169

DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.
DannyS712 moved this task from Untriaged to Archive extensions on the Projects-Cleanup board.
DannyS712 moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
DannyS712 updated the task description. (Show Details)

That was fast!

Change 584169 merged by jenkins-bot:
[translatewiki@master] Archive ExtTab extension

https://gerrit.wikimedia.org/r/584169

DannyS712 updated the task description. (Show Details)Mar 29 2020, 5:19 PM
Pppery assigned this task to DannyS712.Mar 29 2020, 6:29 PM
DannyS712 removed DannyS712 as the assignee of this task.Mar 29 2020, 7:30 PM
DannyS712 added a subscriber: DannyS712.
Kghbln removed a subscriber: Kghbln.Mar 29 2020, 10:06 PM

Change 584167 merged by jenkins-bot:
[integration/config@master] Archive ExtTab extension

https://gerrit.wikimedia.org/r/584167

Mentioned in SAL (#wikimedia-releng) [2020-03-30T16:16:33Z] <James_F> T248759 layout: [mediawiki/extensions/ExtTab] Archive

Jdforrester-WMF added a subscriber: Kghbln.
Pppery updated the task description. (Show Details)Mar 30 2020, 6:08 PM
Pppery removed a subscriber: Kghbln.

Change 593014 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/ExtTab@master] Archive repo

https://gerrit.wikimedia.org/r/593014

Change 593014 merged by Jforrester:
[mediawiki/extensions/ExtTab@master] Archive repo

https://gerrit.wikimedia.org/r/593014

Change 593022 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions@master] Drop the ExtTab extension, archived

https://gerrit.wikimedia.org/r/593022

Change 593022 merged by Jforrester:
[mediawiki/extensions@master] Drop the ExtTab extension, archived

https://gerrit.wikimedia.org/r/593022

Jdforrester-WMF closed this task as Resolved.Apr 28 2020, 6:08 PM
Jdforrester-WMF updated the task description. (Show Details)